package com.casic.missiles.enums.notifyevent;

import com.casic.missiles.enums.business.FilePrintTypeEnum;

import java.util.HashMap;

public enum AwareFilePrintTypeEnum implements PrintFileDataBeanNameAliasEnum, FilePrintTypeEnum {

    CERTIFICATE_TYPE_BEAN_MAP(new HashMap<String, String>() {
        {
            put(CALIBRATION_CERTIFICATE, CALIBRATION_CERTIFICATE_BEAN); //校准证书
            put(TEST_REPORT, TEST_REPORT_BEAN); //测试报告
        }
    });

    public  HashMap<String, String> certificateTypeBeanMap;

    AwareFilePrintTypeEnum(HashMap<String, String> certificateTypeBeanMap) {
        this.certificateTypeBeanMap = certificateTypeBeanMap;
    }

    public HashMap<String, String> getCertificateTypeBeanMap() {
        return certificateTypeBeanMap;
    }
}
